Name:           libgtpnl
Version:        1.3.2
Release:        1.dcbw%{?dist}
Summary:        Netlink library for Linux kernel GTP code
License:        LGPL-2.0-or-later

URL:            https://www.osmocom.org/projects/linux-kernel-gtp-u/wiki/Libgtpnl

BuildRequires:  git gcc autoconf automake libtool doxygen
BuildRequires:  libmnl-devel >= 1.0.0

Source0: %{name}-%{version}.tar.bz2

%description
Netlink library for Linux kernel GTP code.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%autosetup -p1

%build
echo "%{version}" >.tarball-version
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-werror

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i -e 's|UNKNOWN|%{version}|g' %{buildroot}/%{_libdir}/pkgconfig/*.pc


%check
make check


%ldconfig_scriptlets


%files
%doc README.md
%license COPYING
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun  8 2025 Dan Williams <dan@ioncontrol.co> - 1.3.2
- Update to 1.3.2
